package jp.gihyo.mitoma.android.s1601recycerview;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;

import androidx.recyclerview.widget.RecyclerView;

import org.jspecify.annotations.NonNull;

import java.util.ArrayList;

public class MyAdapter extends RecyclerView.Adapter<MyAdapter.ViewHolder> {

    private ArrayList<FriendsDTO> friendsList;
    private ArrayList<Integer> imageList;

    // コンストラクタで表示データを受け取る
    public MyAdapter(ArrayList<FriendsDTO> friendsList,ArrayList<Integer> imageList) {

        this.friendsList = friendsList;
        this.imageList = imageList;

    }
    // --- 必須メソッド ---
    @Override
    public ViewHolder onCreateViewHolder(@NonNull ViewGroup parent, int viewType) {
        // 1行分のレイアウトを生成
        View itemView = LayoutInflater.from(parent.getContext())
                .inflate(R.layout.item_layout, parent, false);
        return new ViewHolder(itemView);
    }
    // 各行をセット
    @Override
    public void onBindViewHolder(@NonNull ViewHolder holder, int position) {
        // 指定位置のデータをTextViewに設定
        FriendsDTO dto = friendsList.get(position);
        int imageNo = imageList.get(position);
        holder.friendImage.setImageResource(imageNo);
        holder.tvID.setText(dto.id);
        holder.tvName.setText(dto.name);
        holder.tvPhone.setText(dto.phone);
    }
    // 既定のメソッド
    public int getItemCount() {
        return friendsList.size();
    }

    // 行を構成するウィジェットの参照変数を保持するホルダ
    public static class ViewHolder extends RecyclerView.ViewHolder {
        ImageView friendImage;
        TextView tvID;
        TextView tvName;
        TextView tvPhone;
        public ViewHolder(@NonNull View itemView) {
            super(itemView);
            friendImage = itemView.findViewById(R.id.friendImage);
            tvID = itemView.findViewById(R.id.tvID);
            tvName = itemView.findViewById(R.id.tvName);
            tvPhone = itemView.findViewById(R.id.tvPhone);
        }
    }
}